Create Procedure
Create a new procedure for the agent on a branch.
Path parameters
agent_id
Agent ID to get the procedure draft from
branch_id
Branch ID to get the procedure draft from
Headers
xi-api-key
Request
This endpoint expects a nullable object.
name
Procedure name
content
Initial procedure content
type
Procedure type
Allowed values:
trigger
When the agent should use this procedure. Empty string means this is a sub-procedure that should only start when another procedure references it. Omit this field (or send null) to keep the stored trigger, which is empty on create. Send "" to clear it. description is accepted as an alias.
folder_parent_id
Procedure ID of the folder to create this procedure in, or null for root.
Response
Successful Response
procedure_id
ID of the created procedure
Errors
422
Unprocessable Entity Error